<?php
ini_set('error_reporting', E_ALL);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);

// Вставка видео из youtube по ссылке (PHP)
// получение ID видео из URL
function getYoutubeVideoID($url){

	// допустимые доменые имена в ссылке
	$names = array('www.youtube.com','youtube.com');

	// разбор адреса
	$up = parse_url($url);

	// проверка параметров
	if (isset($up['host']) && in_array($up['host'],$names) &&
		isset($up['query']) && strpos($up['query'],'v=') !== false){

		// достаем параметр ID
		$lp = explode('v=',$url);

		// отсекаем лишние параметры
		$rp = explode('&',$lp[1]);

		// возвращаем строку, либо false
		return (!empty ($rp[0]) ? $rp[0] : false);
	}
	return false;
}




if (isset($_POST['url']) &&
	filter_var($_POST['url'],FILTER_VALIDATE_URL,FILTER_FLAG_PATH_REQUIRED)){
	$videoID = getYoutubeVideoID($_POST['url']);
} else {
	$videoID = false;
}
?>
<form method="post">
<label>Ссылка на видео Youtube:</label>
<input type="text" name="url" value="<?=(isset($_POST['url']) ? $_POST['url'] : '')?>" size="100"><br>
<input type="submit" name="send" value="Отправить">
</form>

<?if ($videoID != false){?>
<iframe width="560" height="315" src="http://www.youtube.com/embed/<?=$videoID?>?autoplay=0" frameborder="0"></iframe>
<?}?>